python-pip-whl_9.0.1-2_all.deb


Advertisement

Description

python-pip-whl - Python package installer

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-pip-whl_9.0.1-2_all.deb
Package name python-pip-whl
Package version 9.0.1
Package release 2
Package architecture all
Package type deb
Category universe/python
Homepage https://pip.pypa.io/en/stable/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.32 MB
Installed size 1.56 MB
pip is the Python package installer.  It integrates with virtualenv, doesn't
do partial installs, can save package state for replaying, can install from
non-egg sources, and can install from version control repositories.
This is the support package for the PEP 427 wheel version of the package,
required for using pip inside a virtual environment.

Alternatives

Package Version Architecture Repository
python-pip-whl_9.0.1-2.3~ubuntu1.18.04.1_all.deb 9.0.1 all Ubuntu Updates Universe
python-pip-whl_9.0.1-2.3~ubuntu1.18.04.1_all.deb 9.0.1 all Ubuntu Updates Universe
python-pip-whl_9.0.1-2_all.deb 9.0.1 all Ubuntu Universe
python-pip-whl - - -

Requires

Name Value
ca-certificates -

Replaces

Name Value
python-chardet-whl << 2.3.0-2
python-colorama-whl << 0.3.6-1
python-distlib-whl << 0.2.2-1
python-html5lib-whl << 0.999-4
python-requests-whl << 2.9.1-3
python-setuptools-whl << 20.1.1-1
python-six-whl << 1.10.0-3
python-urllib3-whl << 1.13.1-2
virtualenv << 14.0.5+ds-5

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-pip-whl_9.0.1-2_all.deb
Source Package python-pip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pip-whl deb package:
    # sudo apt-get install python-pip-whl

Files

Path
/usr/share/doc/python-pip-whl/changelog.Debian.gz
/usr/share/doc/python-pip-whl/copyright
/usr/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl
/usr/share/python-wheels/appdirs-1.4.0-py2.py3-none-any.whl
/usr/share/python-wheels/chardet-2.3.0-py2.py3-none-any.whl
/usr/share/python-wheels/colorama-0.3.7-py2.py3-none-any.whl
/usr/share/python-wheels/distlib-0.2.4-py2.py3-none-any.whl
/usr/share/python-wheels/distro-1.0.1-py2.py3-none-any.whl
/usr/share/python-wheels/html5lib-0.999999999-py2.py3-none-any.whl
/usr/share/python-wheels/ipaddress-0.0.0-py2.py3-none-any.whl
/usr/share/python-wheels/lockfile-0.12.2-py2.py3-none-any.whl
/usr/share/python-wheels/packaging-16.8-py2.py3-none-any.whl
/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl
/usr/share/python-wheels/pkg_resources-0.0.0-py2.py3-none-any.whl
/usr/share/python-wheels/progress-1.2-py2.py3-none-any.whl
/usr/share/python-wheels/pyparsing-2.1.10-py2.py3-none-any.whl
/usr/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl
/usr/share/python-wheels/retrying-1.3.3-py2.py3-none-any.whl
/usr/share/python-wheels/setuptools-32.3.1-py2.py3-none-any.whl
/usr/share/python-wheels/six-1.10.0-py2.py3-none-any.whl
/usr/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl
/usr/share/python-wheels/webencodings-0.5-py2.py3-none-any.whl
/usr/share/python-wheels/wheel-0.29.0-py2.py3-none-any.whl

Changelog

2017-01-11 - Barry Warsaw <barry@debian.org>
python-pip (9.0.1-2) unstable; urgency=medium
* d/control: Update python-setuptools Built-Using version.
2016-11-29 - Barry Warsaw <barry@debian.org>
python-pip (9.0.1-1) unstable; urgency=medium
* New upstream release.
* d/control: Add new dependencies python3-appdirs and python3-distro to
Build-Depends and Built-Using.
* d/rules: Build appdirs and distro wheels with dirtbike.
* d/tests/pip{2,3}-{root,user}.sh: Update the `pip list` command to
explicitly name --format=columns.  This avoids a test breaking
deprecation warning.
2016-11-21 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-4) unstable; urgency=medium
* d/patches/disable-pip-version-check.patch: Added.  (Closes: #844679)
* d/control:
- Bump html5lib Built-Using version number.
- Add Built-Using for python-webencodings (a new html5lib dependency).
- Add Build-Depends on python{,3}-webencodings.
* d/rules: Build webencodings wheel with dirtbike.
2016-11-01 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-3) unstable; urgency=medium
[ Felipe Reyes ]
* d/tests: control: Add needs-recommends restriction. (Closes: #842732)
[ Barry Warsaw ]
* d/control: Update Built-Using.
* d/rules: Also generate /usr/bin/pip2.  (Closes: #834193)
* d/tests/pip2-*.sh:
- Install world<4 since v4 is not Python 2 compatible.  (Modified
from Felipe's original patch.)
- Add tests which invoke pip2.
2016-06-17 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-2) unstable; urgency=medium
* d/control:
- Update descriptions since pip really isn't the "alternative" any more
and nobody still uses easy_install.
- Update Built-Using packages and versions.
* d/tests/*.sh: export PIP_DISABLE_PIP_VERSION_CHECK=1 to prevent
stderr warnings (and thus test failures) for when we get behind
new upstream releases.
* d/patches:
- skip-bad-requirements.patch: Added to work around crashes
on bogus requirements (e.g. -lxd).
- ignore-socks-warnings.patch: Added to silence DependencyWarnings.
2016-05-11 - Barry Warsaw <barry@debian.org>
python-pip (8.1.2-1) unstable; urgency=medium
* New upstream release.
* d/control:
- Add python3-pyparsing as new Build-Depends.
- Update python-colorama and python-setuptools Built-Using versions.
- Add pyparsing to Built-Using.
- Bump Standards-Version to 3.9.8 with no other changes needed.
* d/rules: dirtbike up pyparsing.
* d/tests/control: Add new DEP-8 test.
* d/tests/pip3-editable.sh: Test to prove that the editable mode extras
bug is fixed.  (Closes: #823358)
2016-04-14 - Barry Warsaw <barry@debian.org>
python-pip (8.1.1-2) unstable; urgency=medium
* d/control: Add python{,3}-setuptools to Recommends.  (Closes: #814292)
* d/rules: We no longer need to dirtbike _markerlib.  (Closes: #821014)
2016-03-17 - Barry Warsaw <barry@debian.org>
python-pip (8.1.1-1) unstable; urgency=medium
* New upstream release.
* d/makepip.py: Remove the date tag to support reproducible builds.
(Closes: #816214)
2016-03-09 - Barry Warsaw <barry@debian.org>
python-pip (8.1.0-2) unstable; urgency=medium
* d/control:
- Add ca-certificates to python-pip-whl Depends.
- wrap-and-sort -at
2016-03-07 - Barry Warsaw <barry@debian.org>
python-pip (8.1.0-1) unstable; urgency=medium
* New upstream release.

See Also

Package Description
python-pip_9.0.1-2_all.deb Python package installer
python-pisock_0.12.5-dfsg-2build2_i386.deb Python module to communicate with PalmOS PDA
python-piston-mini-client_0.7.5-0ubuntu3_all.deb library for writing clients for Django's Piston REST APIs
python-pivy_0.5.0~v609hg-4_i386.deb Coin binding for Python
python-pjproject_2.7.2~dfsg-1_i386.deb PJ Project - Python bindings
python-pkgconfig_1.3.1-1_all.deb Python interface to the pkg-config command line tool
python-pkginfo-doc_1.2.1-1_all.deb Python module to query metadata from packages documentation
python-pkginfo_1.2.1-1_all.deb Python 2.x module to query metadata from packages
python-plastex-doc_0.9.2-1.2_all.deb LaTeX document processing framework in Python - documentation files
python-plastex_0.9.2-1.2_all.deb LaTeX document processing framework in Python
python-plist_2.0.0-2ubuntu1_i386.deb Library for handling Apple binary and XML property lists
python-plotly_2.2.3+dfsg-1_all.deb Python plotting library for publication-quality graphs
python-plplot-qt_5.13.0+dfsg-6ubuntu2_i386.deb Scientific plotting library (Python 2 Qt GUI)
python-plplot_5.13.0+dfsg-6ubuntu2_i386.deb Python 2 support for PLplot, a plotting library
python-pluggy_0.6.0-1_all.deb plugin and hook calling mechanisms for Python - 2.7
Advertisement
Advertisement